# $Revision: 1.111.2.17 $, $Date: 2007/03/08 14:10:07 $
#
# TODO:
# - qt4 bindings
#
# Conditional build:
%bcond_without	dotnet	# without .NET support
%bcond_with	gcj	# without Java support
%bcond_without	glib	# without glib support
%bcond_without	gtk	# without GTK+ programs
%bcond_without	python	# without Python support
%bcond_without	qt	# without Qt 3.x support
%bcond_with	qt4	# with Qt 4.x support (broken)
#
%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}

%if %{without glib}
%undefine	with_gtk
%endif

%ifarch i386
%undefine with_dotnet
%endif

%define		expat_version	1:1.95.5
%define		glib2_version	1:2.2.0
%define		gtk2_version	2:2.4.0
%define		qt_version	6:3.1.0

Summary:	D-BUS message bus
Summary(pl):	Magistrala przesyania komunikatw D-BUS
Name:		dbus
Version:	0.62
Release:	6
License:	AFL v2.1 or GPL v2
Group:		Libraries
Source0:	http://dbus.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	ba7692f63d0e9f1ef06703dff56cb650
Source1:	messagebus.init
Source2:	%{name}-daemon-1-profile.d-sh
Source3:	%{name}-sysconfig
Source4:	%{name}-xinitrc.sh
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-mint.patch
Patch3:		%{name}-python_fixes.patch
Patch4:		%{name}-monodir.patch
Patch5:		%{name}-gcj.patch
URL:		http://www.freedesktop.org/Software/dbus
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
%{?with_python:BuildRequires:	cpp}
BuildRequires:	doxygen
BuildRequires:	expat-devel >= %{expat_version}
%{?with_gcj:BuildRequires:	gcc-java >= 5:4.0}
%{?with_glib:BuildRequires:	glib2-devel >= %{glib2_version}}
%{?with_gtk:BuildRequires:	gtk+2-devel >= %{gtk2_version}}
%if %{with dotnet}
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	monodoc >= 1.0.7-2
%endif
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with python}
BuildRequires:	python-Pyrex >= 0.9.3
BuildRequires:	python-devel >= 2.2
%endif
%{?with_qt:BuildRequires:	qt-devel >= %{qt_version}}
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
%if %{with qt4}
BuildRequires:	QtCore-devel >= 4.1
BuildRequires:	QtTest-devel >= 4.1
BuildRequires:	QtXml-devel >= 4.1
BuildRequires:	qt4-build
%endif
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
Provides:	group(messagebus)
Provides:	user(messagebus)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

%description -l pl
D-BUS to system przesyania komunikatw pomidzy aplikacjami. Jest
uywany zarwno jako oglnosystemowa usuga magistrali komunikatw jak
i moliwo przesyania komunikatw w ramach jednej sesji uytkownika.

%package devel
Summary:	Header files for D-BUS
Summary(pl):	Pliki nagwkowe D-BUS
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for D-BUS.

%description devel -l pl
Pliki nagwkowe D-BUS.

%package libs
Summary:	D-BUS libraries
Summary(pl):	Biblioteki D-BUS
Group:		Libraries

%description libs
D-BUS libraries.

%description libs -l pl
Biblioteki D-BUS.

%package static
Summary:	Static D-BUS libraries
Summary(pl):	Statyczne biblioteki D-BUS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static D-BUS libraries.

%description static -l pl
Statyczne biblioteki D-BUS.

%package glib
Summary:	GLib-based library for using D-BUS
Summary(pl):	Biblioteka do uywania D-BUS oparta o GLib
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2 >= %{glib2_version}

%description glib
D-BUS add-on library to integrate the standard D-BUS library with the
GLib thread abstraction and main loop.

%description glib -l pl
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z abstrakcj wtkw i gwn ptl GLib.

%package glib-devel
Summary:	Header files for GLib-based library for using D-BUS
Summary(pl):	Pliki nagwkowe biblioteki do uywania D-BUS opartej o GLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}
Requires:	glib2-devel >= %{glib2_version}

%description glib-devel
Header files for GLib-based library for using D-BUS.

%description glib-devel -l pl
Pliki nagwkowe biblioteki do uywania D-BUS opartej o GLib.

%package glib-static
Summary:	Static GLib-based library for using D-BUS
Summary(pl):	Statyczna biblioteka do uywania D-BUS oparta o GLib
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static GLib-based library for using D-BUS.

%description glib-static -l pl
Statyczna biblioteka do uywania D-BUS oparta o GLib.

%package glib-tools
Summary:	GLib-based tools for D-BUS
Summary(pl):	Narzdzia dla D-BUS oparte o GLib
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}

%description glib-tools
GLib-based tools for D-BUS.

%description glib-tools -l pl
Narzdzia dla D-BUS oparte o GLib

%package gtk
Summary:	GTK+-based graphical D-BUS frontend utility
Summary(pl):	Oparte na GTK+ graficzne narzdzie do D-BUS
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-X11 = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}

%description gtk
GTK+-based graphical D-BUS frontend utility.

%description gtk -l pl
Oparte na GTK+ graficzne narzdzie do D-BUS.

%package X11
Summary:	X11 D-BUS utilities
Summary(pl):	Narzdzia X11 D-BUSa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	xinitrc

%description X11
X11 D-BUS utilities.

%description X11 -l pl
Narzdzia X11 D-BUSa.

%package -n dotnet-%{name}-sharp
Summary:	.NET library for using D-BUS
Summary(pl):	Biblioteka .NET do uywania D-BUS
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	mono >= 1.1.7

%description -n dotnet-%{name}-sharp
.NET library for using D-BUS.

%description -n dotnet-%{name}-sharp -l pl
Biblioteka .NET do uywania D-BUS.

%package -n dotnet-%{name}-sharp-devel
Summary:	.NET library for using D-BUS with API documentation
Summary(pl):	Biblioteka .NET do uywania D-BUS, zawiera dokumentacj API
Group:		Development/Libraries
Requires:	dotnet-%{name}-sharp = %{version}-%{release}

%description -n dotnet-%{name}-sharp-devel
.NET library for using D-BUS, with API documentation.

%description -n dotnet-%{name}-sharp-devel -l pl
Biblioteka .NET do uywania D-BUS, zawiera dokumentacj API.

%package qt
Summary:	Qt-based library for using D-BUS
Summary(pl):	Biblioteka do uywania D-BUS oparta o Qt
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description qt
D-BUS add-on library to integrate the standard D-BUS library with the
Qt thread abstraction and main loop.

%description qt -l pl
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z abstrakcj wtkw i gwn ptl Qt.

%package qt-devel
Summary:	Header files for Qt-based library for using D-BUS
Summary(pl):	Pliki nagwkowe biblioteki do uywania D-BUS opartej o Qt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt = %{version}-%{release}

%description qt-devel
Header files for Qt-based library for using D-BUS.

%description qt-devel -l pl
Pliki nagwkowe biblioteki do uywania D-BUS opartej o Qt.

%package qt-static
Summary:	Static Qt-based library for using D-BUS
Summary(pl):	Statyczna biblioteka do uywania D-BUS oparta o Qt
Group:		Development/Libraries
Requires:	%{name}-qt-devel = %{version}-%{release}

%description qt-static
Static Qt-based library for using D-BUS.

%description qt-static -l pl
Statyczna biblioteka do uywania D-BUS oparta o Qt.

%package gcj
Summary:	Java library for using D-BUS
Summary(pl):	Biblioteka do uywania D-BUS oparta o Jav
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gcj
D-BUS add-on library to integrate the standard D-BUS library with
Java.

%description gcj -l pl
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Jav.

%package gcj-devel
Summary:	Header files for Java-based library for using D-BUS
Summary(pl):	Pliki nagwkowe biblioteki do uywania D-BUS opartej o Jav
Group:		Development/Libraries
Requires:	%{name}-gcj = %{version}-%{release}

%description gcj-devel
Header files for Java-based library for using D-BUS.

%description gcj-devel -l pl
Pliki nagwkowe biblioteki do uywania D-BUS opartej o Jav.

%package gcj-static
Summary:	Static Java-based library for using D-BUS
Summary(pl):	Statyczna biblioteka do uywania D-BUS oparta o Jav
Group:		Development/Libraries
Requires:	%{name}-gcj-devel = %{version}-%{release}

%description gcj-static
Static Java-based library for using D-BUS.

%description gcj-static -l pl
Statyczna biblioteka do uywania D-BUS oparta o Jav.

%package -n python-dbus
Summary:	Python library for using D-BUS
Summary(pl):	Biblioteka do uywania D-BUS oparta o Pythona
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python
Requires:	python-libxml2

%description -n python-dbus
D-BUS add-on library to integrate the standard D-BUS library with
Python.

%description -n python-dbus -l pl
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Pythonem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
sed -i -e 's/DBUS_QT3_LIBS=.*/DBUS_QT3_LIBS="-lqt-mt"/' configure.in

# don't build dotnet-gtk-sharp based examples
# (depends on old gtk-sharp)
sed -i -e 's/example//' mono/Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GCJFLAGS="%{rpmcflags}" \
	QTDIR=/usr \
	%{?debug:--enable-verbose-mode} \
	%{?with_dotnet:--enable-mono} \
	%{?with_dotnet:--enable-mono-docs} \
	%{!?with_gcj:--disable-gcj} \
	%{?with_gcj:--enable-gcj} \
	%{!?with_glib:--disable-glib} \
	%{!?with_gtk:--disable-gtk} \
	%{!?with_python:--disable-python} \
	%{?with_qt:--enable-qt3 --with-qt3-moc=/usr/bin/moc} \
	%{?with_qt4:--enable-qt --with-qt-moc=%{_libdir}/qt4/bin/moc}%{!?with_qt4:--with-qt-moc=/NOWHERE} \
	--disable-asserts \
	--disable-tests \
	--enable-abstract-sockets \
	--enable-selinux \
	--with-console-auth-dir=%{_localstatedir}/lock/console/ \
	--with-session-socket-dir=/tmp \
	--with-system-pid-file=%{_localstatedir}/run/dbus.pid \
	--with-xml=expat
%{__make} \
	JAR=fastjar \
	pythondir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/profile.d
install -d $RPM_BUILD_ROOT/etc/sysconfig
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d
install -d $RPM_BUILD_ROOT%{_datadir}/dbus-1/services
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/dbus

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	JAR=fastjar \
	pythondir=%{py_sitedir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/messagebus
install %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/dbus-daemon-1.sh
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/dbus
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/dbus.sh

%if %{with python}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/*.{py,la,a}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 122 messagebus
%useradd -u 122 -d /usr/share/empty -s /bin/false -c "System message bus" -g messagebus messagebus

%post
/sbin/chkconfig --add messagebus
%service messagebus restart "D-Bus daemon"

%preun
if [ "$1" = "0" ];then
	%service messagebus stop
	/sbin/chkconfig --del messagebus
fi

%postun
if [ "$1" = "0" ]; then
	%userremove messagebus
	%groupremove messagebus
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%post	gcj -p /sbin/ldconfig
%postun	gcj -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-cleanup-sockets
%attr(755,root,root) %{_bindir}/dbus-daemon
# R: libX11
%attr(755,root,root) %{_bindir}/dbus-launch
%attr(755,root,root) %{_bindir}/dbus-send
%dir %{_sysconfdir}/dbus-1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/*.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dbus
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) /etc/profile.d/dbus-daemon-1.sh
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%dir %{_localstatedir}/run/dbus
%{_mandir}/man1/dbus-cleanup-sockets.1*
%{_mandir}/man1/dbus-daemon.1*
%{_mandir}/man1/dbus-launch.1*
%{_mandir}/man1/dbus-send.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/TODO
%attr(755,root,root) %{_libdir}/libdbus-1.so.*.*.*
%dir %{_libdir}/dbus-*

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,txt}
%attr(755,root,root) %{_libdir}/libdbus-1.so
%{_libdir}/libdbus-1.la
%{_libdir}/dbus-*/include
%{_pkgconfigdir}/dbus-1.pc
%{_includedir}/dbus*
%{?with_glib:%exclude %{_includedir}/dbus*/dbus/dbus-glib*.h}
%{?with_qt:%exclude %{_includedir}/dbus*/dbus/dbus-qt.h}

%files static
%defattr(644,root,root,755)
%{_libdir}/libdbus-1.a

%if %{with glib}
%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbus-glib-1.so.*.*.*

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-binding-tool
%attr(755,root,root) %{_libdir}/libdbus-glib-1.so
%{_libdir}/libdbus-glib-1.la
%{_includedir}/dbus*/dbus/dbus-glib*.h
%{_pkgconfigdir}/dbus-glib-1.pc

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libdbus-glib-1.a

%files glib-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-monitor
%{_mandir}/man1/dbus-monitor.1*
%endif

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-viewer
%endif

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/dbus.sh

%if %{with dotnet}
%files -n dotnet-%{name}-sharp
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/dbus-sharp

%files -n dotnet-%{name}-sharp-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/dbus-sharp
%{_libdir}/monodoc/sources/*
%{_pkgconfigdir}/dbus-sharp.pc
%endif

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbus-qt-1.so.*.*.*

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbus-qt-1.so
%{_libdir}/libdbus-qt-1.la
%{_includedir}/dbus*/dbus/dbus-qt.h

%files qt-static
%defattr(644,root,root,755)
%{_libdir}/libdbus-qt-1.a
%endif

%if %{with gcj}
%files gcj
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*gcj*.so.*.*.*

%files gcj-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*gcj*.so
%{_libdir}/lib*gcj*.la
%{_datadir}/java/*.jar

%files gcj-static
%defattr(644,root,root,755)
%{_libdir}/lib*gcj*.a
%endif

%if %{with python}
%files -n python-dbus
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/dbus.pth
%{py_sitedir}/%{name}/*.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dbus.spec,v $
Revision 1.111.2.17  2007/03/08 14:10:07  qboosh
- release 6: rebuild with restored mono() deps

Revision 1.111.2.16  2007/02/17 15:55:28  glen
- comment on previous commit

Revision 1.111.2.15  2007/02/17 13:34:25  qboosh
- release 5 [dotnet enable for alpha and sparc*]

Revision 1.111.2.14  2006/10/01 21:59:19  glen
- rel 4

Revision 1.111.2.13  2006/09/09 01:17:19  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.111.2.12  2006/08/04 18:53:57  freetz
- rel.2

Revision 1.111.2.11  2006/06/25 15:03:54  freetz
- 0.62

Revision 1.111.2.10  2006/05/19 21:24:06  freetz
- fixed R: in dotnet subpkg, rel.5

Revision 1.111.2.9  2006/05/14 22:54:07  baggins
- rel 4
- fixed BRs versions

Revision 1.111.2.8  2006/05/14 22:49:26  baggins
- merged from HEAD

Revision 1.111.2.7  2006/04/14 14:35:41  glen
- rel 6

Revision 1.111.2.6  2006/02/24 15:26:05  glen
- use %service

Revision 1.111.2.5  2006/02/24 15:24:49  glen
- expat epoches

Revision 1.111.2.4  2006/02/24 15:23:15  glen
- glib/gtk+ epoches

Revision 1.111.2.3  2006/02/24 15:21:43  glen
- adapterized

Revision 1.111.2.2  2006/02/24 15:21:13  glen
- qt epoch

Revision 1.111.2.1  2006/01/31 14:04:01  baggins
- release 5
- fixed stop and status in initscript

Revision 1.129  2006/04/02 09:57:00  qboosh
- dotnet deps fixes (merged from for-AC branch)

Revision 1.128  2006/03/20 20:44:32  freetz
- rel.3 for rebuild with fixed rpm

Revision 1.127  2006/03/19 22:48:46  freetz
- R: python-libxml2 for python subpkg, rel.2

Revision 1.126  2006/03/05 18:04:36  qboosh
- disable qt4 support (broken atm)
- updated nolibs patch to remove unnecessary linking with -lSM
- moved dbus-launch(1) manual to base package (which contains dbus-launch)

Revision 1.125  2006/02/25 09:13:02  freetz
- 0.61, use epoches in version definitions, added separate define for gtk
  requirement

Revision 1.124  2006/02/24 15:24:30  glen
- glib/gtk+/expat epoches

Revision 1.123  2006/02/24 15:20:43  glen
- qt epoch

Revision 1.122  2006/02/24 15:20:04  glen
- use %service

Revision 1.121  2006/02/19 21:10:03  freetz
- rel.4

Revision 1.120  2006/02/19 18:18:14  freetz
- make use of at_console security policy

Revision 1.119  2006/02/12 15:01:10  pluto
- xorg modular BRs, release 3.

Revision 1.118  2006/01/28 09:02:52  freetz
- drop dotnet-gtk-sharp based examples

Revision 1.117  2006/01/26 15:50:27  freetz
- rel.2

Revision 1.116  2006/01/23 21:10:28  qboosh
- added gcj patch (fixes java build), pass GCJFLAGS (=rpmcflags)
- updated DBUS_QT_LIBS->DBUS_QT3_LIBS hack

Revision 1.115  2006/01/20 11:59:33  freetz
- fix dotnet build

Revision 1.114  2006/01/18 18:38:57  freetz
- 0.60, dotnet not tested (we got broken mono stuff), build gcj by default,
  TODO added

Revision 1.113  2005/12/11 22:14:17  adamg
- BR: rpm-pythonprov if --with python

Revision 1.112  2005/12/08 04:26:53  aredridel
- dbus-gtk requires dbus-X11 -- perhaps dependent apps should require this?

Revision 1.111  2005/12/03 16:19:35  qboosh
- release 4

Revision 1.110  2005/12/03 16:19:13  qboosh
- BR: cpp for python

Revision 1.109  2005/12/03 15:41:44  qboosh
- added monodir patch for mono dlls in /usr/lib
- qt libdir fix (needed with multilib)

Revision 1.108  2005/12/01 12:23:44  adgor
- Fixed dotnet bcond

Revision 1.107  2005/11/30 15:50:29  freetz
- looks like including macros can't be conditional

Revision 1.106  2005/11/30 15:46:04  freetz
- exclude i386 from dotnet bindings, removed bogus kdelibs check, rel.3

Revision 1.105  2005/11/10 22:04:35  freetz
- moved dbus-launch to main package

Revision 1.104  2005/10/13 17:58:44  freetz
- use default FHS compilant sockets dir, rel.2

Revision 1.103  2005/09/09 23:07:45  freetz
- cosmetics

Revision 1.102  2005/09/09 23:00:09  freetz
- mono autodeps included

Revision 1.101  2005/09/09 15:33:57  wrobell
- ver. 0.50

Revision 1.100  2005/09/04 13:35:02  arekm
- disable dotnet on sparc/alpha

Revision 1.99  2005/08/30 21:42:44  paladine
- missing \

Revision 1.98  2005/08/30 21:31:10  paladine
- removed duplications
- sorted configure options

Revision 1.97  2005/08/30 20:41:06  arekm
- bumb monodoc br

Revision 1.96  2005/08/30 20:32:27  qboosh
- post-adapter cleanup

Revision 1.95  2005/08/30 19:30:44  arekm
- up to 0.36.2; enabled selinux; introduced X11 subpackage

Revision 1.94  2005/08/27 21:02:32  paladine
- updated to 0.36.1

Revision 1.93  2005/08/24 15:08:15  paladine
- updated to 0.36
- removed python_types patch (already in sources)

Revision 1.92  2005/08/23 14:39:33  paladine
- added missing commit log
- added BR: libselinux-devel

Revision 1.91  2005/08/23 14:35:14  paladine
- added --enable-selinux to configure

Revision 1.90  2005/08/02 16:18:30  jpc
- add a patch fixing the dbus serializer type definitions
  (dbus-python_types.patch)

Revision 1.89  2005/08/02 12:37:33  freetz
- more TODO

Revision 1.88  2005/07/21 21:17:47  freetz
- 0.35.2, dropped already included patches

Revision 1.87  2005/07/10 17:39:26  freetz
- corrected *.py files path

Revision 1.86  2005/07/02 20:49:52  freetz
- merged post 0.34 fixes

Revision 1.85  2005/07/01 11:49:44  jpc
- add python_fixes patch
- rel 0.2

Revision 1.84  2005/06/26 14:51:57  wrobell
- ver. 0.34

Revision 1.83  2005/06/22 17:46:29  qboosh
- this spec has been already adapted for gcc4-style gcj - updated deps (fixes BTS#5664)

Revision 1.82  2005/06/20 21:51:51  patrys
- added missing BR: fastjar

Revision 1.81  2005/05/19 13:55:40  pluto
- merged patches from devel.

Revision 1.80  2005/05/19 13:07:24  pluto
- %%files updated.

Revision 1.79  2005/05/19 12:40:27  pluto
- updated to 0.33 (dotnet stuff not tested).
- release 0.1.

Revision 1.78  2005/05/11 00:46:09  pluto
- next step, relese 4.2, java enabled, rebuild w/o dotnet+qt.

Revision 1.77  2005/05/11 00:03:25  pluto
- release 4.1 for th-bootstrap.

Revision 1.76  2005/05/02 23:13:57  qboosh
- comment for dotnet-gtk-sharp BR

Revision 1.75  2005/05/02 22:58:42  qboosh
- build dbus-sharp on alpha,amd64; release 4

Revision 1.74  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.73  2005/04/26 10:31:10  pzurowski
- reverting (moving to DEVEL)

Revision 1.71  2005/04/23 21:38:27  arekm
- disable mono bindings on amd64 due to mcs segfaults

Revision 1.70  2005/04/23 20:50:10  arekm
- rel 2

Revision 1.69  2005/03/26 00:10:55  troll
- -p1 for %patch2

Revision 1.68  2005/03/25 06:39:22  wrobell
- missing directory added

Revision 1.67  2005/03/24 23:03:55  wrobell
- ver. 0.23.4

Revision 1.66  2005/03/24 22:43:29  wrobell
- back to 0.23 (0.31 should be on DEVEL, now)

Revision 1.65  2005/03/24 21:44:11  wrobell
- /usr/lib/monodoc/sources belongs to dotnet-dbus-sharp-devel

Revision 1.64  2005/03/24 20:39:56  wrobell
- ver. 0.31 (dbus-binding-tool should be in devel package?)

Revision 1.63  2005/03/18 19:29:22  qboosh
- -libs are sufficient for -qt; release 4

Revision 1.62  2005/02/10 21:47:32  qboosh
- release 3 to rebuild dotnet- with proper gacdir on amd64

Revision 1.61  2005/02/10 18:51:43  qboosh
- BR: xmlto (for html docs); release 2

Revision 1.60  2005/01/13 09:33:04  krzak
- up to 0.23
- monodoc-destdir.patch already in sources
- hello.patch already in sources
- update URL
- %{?debug:--enable-verbose-mode}
- --enable-abstract-sockets
- socket in %{_localstatedir}/lib/dbus-1

Revision 1.59  2004/12/27 10:38:20  qboosh
- python- and -gtk need -glib; fixed broken -glib-devel dep; release 14

Revision 1.58  2004/12/25 17:40:50  qboosh
- unified

Revision 1.57  2004/12/23 22:03:00  saq
- release 13 for rebuild with python 2.4

Revision 1.56  2004/12/14 12:44:41  krzak
- %{_datadir}/dbus-1/services

Revision 1.55  2004/12/14 08:50:49  krzak
- rel. 12
- added dbus-sysconfig ,dbus-xinitrc.sh (start session daemon while X running,
  depend on /etc/sysconfig/dbus settings
- daemon-1-profile.d-sh check settings in /etc/sysconfig/dbus
- Requires: xinitrc

Revision 1.54  2004/11/14 21:31:42  havner
- rel up for rebuild

Revision 1.53  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.52  2004/11/08 19:11:26  jpc
- %pyrequires_eq for python-dbus

Revision 1.51  2004/10/29 08:28:39  krzak
- rel 10 of course.... mistake

Revision 1.50  2004/10/29 08:11:56  krzak
- --with-system-socket=%{_localstatedir}/lib/dbus-1.0/system_bus_socket
- BR: doxygen

Revision 1.49  2004/10/28 08:20:16  qboosh
- python- R: -libs not base, really release 10

Revision 1.48  2004/10/28 07:46:18  krzak
- --enable-verbose-mode verbose only if DBUS_VERBOSE=1 is set
- rel. 10

Revision 1.47  2004/10/27 10:35:50  krzak
- hello.patch - correctly handle Hello messages after the first one
- %{_libdir}/dbus-1.0/services -> %{_datadir}/dbus-1.0/services

Revision 1.46  2004/10/27 08:58:57  krzak
- --with-system-pid-file=/var/run/dbus.pid

Revision 1.45  2004/10/27 08:17:42  krzak
- added config.patch set configuration for session bus

Revision 1.44  2004/10/26 07:38:17  krzak
- --with-session-socket-dir=/tmp
- rel. 9

Revision 1.43  2004/10/25 21:33:53  krzak
- Source2: dbus-daemon-1-profile.d-sh
  install to /etc/profile.d/dbus-daemon-1.sh and start
  dbus-daemon-1 --session while login

Revision 1.42  2004/10/25 13:23:07  krzak
- %{_libdir}/dbus-1.0/services for --session mode

Revision 1.41  2004/10/25 11:44:35  krzak
- rel 8

Revision 1.40  2004/10/25 11:43:56  krzak
- %{?with_dotnet:BuildRequires:   dotnet-gtk-sharp-devel}

Revision 1.39  2004/10/22 18:16:46  krzak
- glib headers moved to dbus-glib-devel
- rel 7

Revision 1.38  2004/10/17 13:07:26  qboosh
- fixed last commit message after hungry mc

Revision 1.37  2004/10/17 13:06:46  qboosh
- %{_libdir}/dbus-* dir moved to -libs

Revision 1.36  2004/10/17 12:28:50  qboosh
- dbus-glib-tool moved to -glib-devel (it's devel utility)
  now -glib-devel doesn't require -glib-tools (and thus base
  as dbus-monitor from -glib-tools requires base)

Revision 1.35  2004/10/17 12:14:47  qboosh
- -devel R: -libs not base; moved base docs to -libs

Revision 1.34  2004/10/17 11:23:33  qboosh
- fixed gcj bcond desc

Revision 1.33  2004/10/16 20:40:35  ankry
- %userremove/%groupremove support, some unification

Revision 1.32  2004/09/28 08:18:32  aflinta
- split dbus-glib into dbus-glib and dbus-glib-tools
- release 6
- build only when previous dbus is removed (broken rpm dependency generator)

Revision 1.31  2004/09/27 21:02:24  aflinta
- release 5

Revision 1.30  2004/09/27 20:55:21  radek
- fixed: *.so.*->libs, *.so->devel

Revision 1.29  2004/09/27 19:35:16  aflinta
- finished, release 4

Revision 1.28  2004/09/27 16:45:50  aflinta
- try to separate libs into subpackage

Revision 1.27  2004/08/13 13:37:50  grzegol
- fixed License (AFL v2.1 or GPL v2)

Revision 1.26  2004/08/13 13:20:47  krzak
- rel 3 to rebuild on all arch.

Revision 1.25  2004/08/13 11:33:04  krzak
- missing  %{_libdir}/mono/dbus-sharp directory
- mint.patch - allow to build mono binding with mint
- rel 2

Revision 1.24  2004/08/13 11:27:39  qboosh
- cosmetics

Revision 1.23  2004/08/13 11:26:00  qboosh
- no dotnet on alpha

Revision 1.22  2004/08/13 10:11:35  krzak
- up to 0.22
- bcond: dotnet
- added dotnet-dbus-sharp{-devel} packages
- monodoc-destdir.patch (fix directory for monodoc files)
- maybe TODO: SELinux support
- explicit --with-xml=expat

Revision 1.21  2004/08/01 20:50:08  qboosh
- release 2

Revision 1.20  2004/08/01 20:29:25  qboosh
- python- BR: python-Pyrex 0.9.3 (older couldn't handle "long unsigned int")

Revision 1.19  2004/08/01 19:14:15  qboosh
- -static R: -devel
- disable gcj for now - doesn't build (using gcj 3.3.4)

Revision 1.18  2004/08/01 10:02:11  krzak
- dbus-glib-1.pc moved do glib-devel package

Revision 1.17  2004/03/26 15:12:15  grzegol
- updated to 0.21
- removed outdated python-signals-dze patch
- BR: python-Pyrex >= 0.9-2

Revision 1.16  2004/03/21 22:23:10  grzegol
- added python-signals-dze patch
- strict internal deps
- rel. 3

Revision 1.15  2004/03/13 04:49:05  witekfl
- BR: gcc-java-tools (jar)

Revision 1.14  2004/02/06 22:25:01  qboosh
- typo

Revision 1.13  2004/02/06 22:18:42  qboosh
- resolved uid conflict, added messagebus group, unified useradd/groupadd

Revision 1.12  2004/01/31 20:42:03  grzegol
- added gcj and python subpackages

Revision 1.11  2004/01/31 19:12:41  grzegol
- added init script
- add/remove messagebus user
- rel. 2

Revision 1.10  2004/01/30 19:20:29  eothane
- new bcond style

Revision 1.9  2003/11/27 10:19:07  qboosh
- updated to 0.20, new-style bconds, separated -gtk

Revision 1.8  2003/10/02 19:09:04  grzegol
- updated to 0.13

Revision 1.7  2003/08/28 09:26:38  qboosh
- separated -devel packages, fixed bconds

Revision 1.6  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.5  2003/08/03 14:16:13  grzegol
- added _without_glib and _without_qt bconds
- added glib-static and qt-static subpackages
- more docs
- removed old changelog
- rel. 2

Revision 1.4  2003/06/28 20:28:57  qboosh
- pl, some cleanups

Revision 1.3  2003/06/16 20:02:54  blues
- fixes in macros

Revision 1.2  2003/06/11 15:41:38  wiget
- md5 added

Revision 1.1  2003/06/11 15:32:34  wiget
- first try to package DBUS
